Talk:ZDoom mods


Merge proposal[edit]

The notability of the port is unquestioned, and I am all in favor of re-aggregating data when it improves the wiki's value as a reference work.  However, in this case, the tremendous amount of typing required (I see Wolfendoom here; is it meant to include every vanilla-compatible release?) far outweighs the added benefit IMHO because the same information is easily available from List of WADs by clicking to sort the entries by the "engine" column.  Some people have suggested replacing List of WADs by categories, I know, but that would make it even more straightforward to replace this article.    Ryan W 21:57, 6 October 2008 (UTC)

ok thanks, im new with this. ~yellowmadness54Yellowmadness54

I'm not fond of the WADs list article itself because there are way too many WADs, even notable ones, for it to handle properly. I think it's unhelpful. This is one case where I think an article can be ditched (deleted) for the category system (in many other cases both are valid). A ZDoom WADs (or also for other source ports, like Boom or Doom Legacy) category could also be added, instead of such an article. Only WADs that require (were made for) ports should be listed on port WAD categories, otherwise you'd just end up listing all the ports that can run said WAD. Who is like God? 10:02, 7 October 2008 (UTC)
Only WADs that require (were made for) ports should be listed on port WAD categories   Yeah, I figured it would be done like it is in the table, with categories like "limit removing" or "Boom compatible".  OTOH, some ports pay more attention to backward compatibility than others, so there are WADs that only work with certain non-current releases.  Would we create subcategories or just make very sure to put the version numbers in an infobox or introductory article text?    Ryan W 16:01, 7 October 2008 (UTC)
I'd simplify things and just note that on the article or infobox or make an umbrella category for any "obsolete WADs". Maybe we could add a category or two for early Doom WADs that don't work in later and current versions of the DOOM games (and even source ports unless compatibility settings are applied) because id modified the engine, though. A few WADs made for Doom v1.2 don't work correctly in later versions (because a linedef type that was unreliable was removed), and some changes in The Ultimate DOOM's executable produced incompatibilities in some PWADs including bosses. Who is like God? 16:34, 7 October 2008 (UTC)